disableButton = false;

function wyslijDane()
{
  var tfImieText = document.getElementById("tfImie").value;
  var tfNazwiskoText = document.getElementById("tfNazwisko").value;
  var btnWyslij = document.getElementById("btnWyslij");

  url = "http://localhost/dane.php?imie=" + tfImieText;
  url += "&nazwisko=" + tfNazwiskoText;
  url = encodeURI(url);

  btnWyslij.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  arr = text.split(":");
  if(arr[0] == "error"){
    if(arr.length == 2){
      alert(arr[1]);
    }
    else{
      alert("Wystąpił nieznany błąd serwera.");
    }
    disableButton = false;
  }
  else{
    alert("Dane zostały zapisane na serwerze.");
    disableButton = true;
  }
}

function onEnd(text, xml)
{
  if(!disableButton){
    var btnWyslij = document.getElementById("btnWyslij");
    btnWyslij.disabled = false;
  }
}